restinio::impl::sendfile_operation_runner_base_t< Socket > Class Template Reference

A base runner of sendfile operation (keeps all the data). More...

`#include <sendfile_operation.hpp>`

Inheritance diagram for restinio::impl::sendfile_operation_runner_base_t< Socket >:

## Public Member Functions

| sendfile_operation_runner_base_t ()=delete
| sendfile_operation_runner_base_t (const sendfile_t &sf, default_asio_executor executor, Socket &socket, after_sendfile_cb_t after_sendfile_cb)
auto | expires_after () const noexcept
Public Member Functions inherited from restinio::impl::sendfile_operation_base_t
virtual | ~sendfile_operation_base_t ()=default
virtual void | start ()=0

## Protected Attributes

file_descriptor_t | m_file_descriptor
file_offset_t | m_next_write_offset
file_size_t | m_remained_size
file_size_t | m_transfered_size { 0 }
const file_size_t | m_chunk_size
const std::chrono::steady_clock::time_point | m_expires_after
default_asio_executor | m_executor
Socket & | m_socket
after_sendfile_cb_t | m_after_sendfile_cb

## Detailed Description

template<typename Socket>
class restinio::impl::sendfile_operation_runner_base_t< Socket >

A base runner of sendfile operation (keeps all the data).

Definition at line 48 of file sendfile_operation.hpp.

## Constructor & Destructor Documentation

## sendfile_operation_runner_base_t() [1/2]

template<typename Socket >

restinio::impl::sendfile_operation_runner_base_t< Socket >::sendfile_operation_runner_base_t | ( |  | ) |

delete

## sendfile_operation_runner_base_t() [2/2]

template<typename Socket >

restinio::impl::sendfile_operation_runner_base_t< Socket >::sendfile_operation_runner_base_t | ( | const sendfile_t & | sf,
|  | default_asio_executor | executor,
|  | Socket & | socket,
|  | after_sendfile_cb_t | after_sendfile_cb
| ) |  |

inline

Definition at line 54 of file sendfile_operation.hpp.

## Member Function Documentation

## expires_after()

template<typename Socket >

auto restinio::impl::sendfile_operation_runner_base_t< Socket >::expires_after | ( |  | ) | const

inlinenoexcept

Definition at line 69 of file sendfile_operation.hpp.

## Member Data Documentation

## m_after_sendfile_cb

template<typename Socket >

after_sendfile_cb_t restinio::impl::sendfile_operation_runner_base_t< Socket >::m_after_sendfile_cb

protected

Definition at line 83 of file sendfile_operation.hpp.

## m_chunk_size

template<typename Socket >

const file_size_t restinio::impl::sendfile_operation_runner_base_t< Socket >::m_chunk_size

protected

Definition at line 77 of file sendfile_operation.hpp.

## m_executor

template<typename Socket >

default_asio_executor restinio::impl::sendfile_operation_runner_base_t< Socket >::m_executor

protected

Definition at line 81 of file sendfile_operation.hpp.

## m_expires_after

template<typename Socket >

const std::chrono::steady_clock::time_point restinio::impl::sendfile_operation_runner_base_t< Socket >::m_expires_after

protected

Definition at line 79 of file sendfile_operation.hpp.

## m_file_descriptor

template<typename Socket >

file_descriptor_t restinio::impl::sendfile_operation_runner_base_t< Socket >::m_file_descriptor

protected

Definition at line 72 of file sendfile_operation.hpp.

## m_next_write_offset

template<typename Socket >

file_offset_t restinio::impl::sendfile_operation_runner_base_t< Socket >::m_next_write_offset

protected

Definition at line 73 of file sendfile_operation.hpp.

## m_remained_size

template<typename Socket >

file_size_t restinio::impl::sendfile_operation_runner_base_t< Socket >::m_remained_size

protected

Definition at line 74 of file sendfile_operation.hpp.

## m_socket

template<typename Socket >

Socket& restinio::impl::sendfile_operation_runner_base_t< Socket >::m_socket

protected

Definition at line 82 of file sendfile_operation.hpp.

## m_transfered_size

template<typename Socket >

file_size_t restinio::impl::sendfile_operation_runner_base_t< Socket >::m_transfered_size { 0 }

protected

Definition at line 75 of file sendfile_operation.hpp.

The documentation for this class was generated from the following file:

- restinio/impl/sendfile_operation.hpp